Bug 815447 - [as7] Expose node-name as a plugin-config property
[as7] Expose node-name as a plugin-config property
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity high (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 801638
  Show dependency treegraph
 
Reported: 2012-04-23 12:01 EDT by Lukas Krejci
Modified: 2013-09-01 06:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:16:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-04-23 12:01:12 EDT
Description of problem:
The /core-service=server-environment/:read-attribute(name=node-name,include-defaults=true) property of AS7 exposes the value of the "jboss.node.name" system property which defines the name of the node in a cluster (and serves as its identifier in there).

For further info, see https://issues.jboss.org/browse/AS7-4110

Version-Release number of selected component (if applicable):
4.4.0-SNAPSHOT
Comment 1 Mike Foley 2012-04-23 12:11:02 EDT
setting priority to medium per BZ triage 4/23 (crouch, santos, oleary, foley)
Comment 2 Lukas Krejci 2012-04-23 14:52:49 EDT
note that this blocks an urgent bug 801638, so it should be looked at asap.
Comment 3 Heiko W. Rupp 2012-04-26 04:31:34 EDT
done for standalone mode in 

master f4dfe38
Comment 4 Heiko W. Rupp 2013-09-01 06:16:49 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.